/*------------------------------------------------------------------------
  File        : WebApp/TP/BL/SupplierCost.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 07-03-2018 13:30:21
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttSupplierCost BEFORE-TABLE bttSupplierCost
    FIELD amount_cost LIKE aa-tp_supplier_cost.amount_cost
    FIELD amount_result LIKE aa-tp_supplier_cost.amount_result
    FIELD bookingnr LIKE aa-tp_supplier_cost.bookingnr
    FIELD calc_amount AS DECIMAL LABEL "Amount"
    FIELD calc_amount_txt AS CHARACTER LABEL "Cost Calculation"
    FIELD calc_discharge AS CHARACTER LABEL "Discharge"
    FIELD calc_empty_km AS INTEGER LABEL "Empty Km"
    FIELD calc_empty_maut_km AS INTEGER LABEL "Empty Maut Km"
    FIELD calc_empty_toll_bekm AS INTEGER LABEL "Empty Toll Belgium Km"
    FIELD calc_full_km AS INTEGER LABEL "Full Km"
    FIELD calc_kind_of_tariff AS CHARACTER LABEL "Kind of Tariff"
    FIELD calc_loading AS CHARACTER LABEL "Loading"
    FIELD calc_maut_km AS INTEGER LABEL "Maut Km"
    FIELD calc_qualifier AS CHARACTER LABEL "Qualifier"
    FIELD calc_result AS DECIMAL LABEL "Result"
    FIELD calc_result_txt AS CHARACTER LABEL "Result calculation"
    FIELD calc_supplier AS CHARACTER LABEL "Supplier"
    FIELD calc_tariff AS CHARACTER LABEL "Tariff"
    FIELD calc_tariff_type AS CHARACTER LABEL "Tariff Type"
    FIELD calc_toll_bekm AS INTEGER LABEL "Toll Belgium Km"
    FIELD calc_total_km AS INTEGER LABEL "Total Km"
    FIELD calc_total_maut_km AS INTEGER LABEL "Total Maut Km"
    FIELD calc_total_toll_bekm AS INTEGER LABEL "Total Belgian Toll Km"
    FIELD companycode LIKE aa-tp_supplier_cost.companycode
    FIELD containernr LIKE aa-tp_supplier_cost.containernr
    FIELD containerprefix LIKE aa-tp_supplier_cost.containerprefix
    FIELD containertypecode LIKE aa-tp_supplier_cost.containertypecode
    FIELD cost_rate LIKE aa-tp_supplier_cost.cost_rate
    FIELD cost_seqnr LIKE aa-tp_supplier_cost.cost_seqnr FORMAT ">>>>>>>>>>>9"
    FIELD costcode LIKE aa-tp_supplier_cost.costcode
    FIELD currencycode LIKE aa-tp_supplier_cost.currencycode
    FIELD des LIKE aa-tp_supplier_cost.des
    FIELD dt_from LIKE aa-tp_supplier_cost.dt_from
    FIELD dt_planned LIKE aa-tp_supplier_cost.dt_planned
    FIELD dt_till LIKE aa-tp_supplier_cost.dt_till
    FIELD empty_km LIKE aa-tp_supplier_cost.empty_km
    FIELD ext_invoicenr LIKE aa-tp_supplier_cost.ext_invoicenr
    FIELD free_days LIKE aa-tp_supplier_cost.free_days
    FIELD free_hours LIKE aa-tp_supplier_cost.free_hours
    FIELD ind_booked LIKE aa-tp_supplier_cost.ind_booked
    FIELD ind_extra_cost LIKE aa-tp_supplier_cost.ind_extra_cost
    FIELD ind_inactive LIKE aa-tp_supplier_cost.ind_inactive
    FIELD ind_manual LIKE aa-tp_supplier_cost.ind_manual
    FIELD ind_not_chargeable LIKE aa-tp_supplier_cost.ind_not_chargeable
    FIELD ind_written_off LIKE aa-tp_supplier_cost.ind_written_off
    FIELD item_seqnr LIKE aa-tp_supplier_cost.item_seqnr
    FIELD kind_of_tariff LIKE aa-tp_supplier_cost.kind_of_tariff
    FIELD maximum LIKE aa-tp_supplier_cost.maximum
    FIELD minimum LIKE aa-tp_supplier_cost.minimum
    FIELD motcode LIKE aa-tp_supplier_cost.motcode
    FIELD name LIKE aa-tp_supplier_cost.name
    FIELD negative LIKE aa-tp_supplier_cost.negative
    FIELD purchase_invoicenr LIKE aa-tp_supplier_cost.purchase_invoicenr
    FIELD qualifier LIKE aa-tp_supplier_cost.qualifier
    FIELD remarks LIKE aa-tp_supplier_cost.remarks
    FIELD servicecode LIKE aa-tp_supplier_cost.servicecode
    FIELD shipment_seqnr LIKE aa-tp_supplier_cost.shipment_seqnr
    FIELD supplier_addressnr LIKE aa-tp_supplier_cost.supplier_addressnr FORMAT "->>>>>>>9"
    FIELD tariff LIKE aa-tp_supplier_cost.tariff
    FIELD tariff_decimals LIKE aa-tp_supplier_cost.tariff_decimals
    FIELD tariff_seqnr LIKE aa-tp_supplier_cost.tariff_seqnr
    FIELD tariff_type_arg LIKE aa-tp_supplier_cost.tariff_type_arg
    FIELD tim_from LIKE aa-tp_supplier_cost.tim_from
    FIELD tim_till LIKE aa-tp_supplier_cost.tim_till
    FIELD tp_file_seqnr LIKE aa-tp_supplier_cost.tp_file_seqnr FORMAT "->>>>>>>9"
    FIELD tp_order_seqnr LIKE aa-tp_supplier_cost.tp_order_seqnr
    FIELD tp_trip_seqnr LIKE aa-tp_supplier_cost.tp_trip_seqnr
    FIELD triptype LIKE aa-tp_supplier_cost.triptype
    FIELD vesselnr LIKE aa-tp_supplier_cost.vesselnr
    FIELD voyage_pol LIKE aa-tp_supplier_cost.voyage_pol
.

DEFINE DATASET dsSupplierCost FOR ttSupplierCost.